package org.hibernate.internal;

import org.hibernate.engine.spi.EntityKey;

/**
 * This extra info ideally should belong to SessionImpl. Because it's a final class and hibernate framework does not take SessionImplementorWithEntityKeyArray
 *     this has to go in thread local data as a workaround. 
 * @author yding
 *
 */
public class SessionExtraInfo {
    private EntityKey[] entityKeys;
    
    public EntityKey[] getEntityKeys() {
    	return entityKeys;
    }
    
    public void setEntityKeys(EntityKey[] entityKeys) {
    	this.entityKeys = entityKeys;
    }
}
