package org.hibernate.internal;

import org.springframework.stereotype.Service;

@Service
public class SessionExtraInfoHolderImpl implements SessionExtraInfoHolder {
	private static ThreadLocal<SessionExtraInfo> sessionExtraInfo = new ThreadLocal<SessionExtraInfo>() {
		protected SessionExtraInfo initialValue() {
			return new SessionExtraInfo();
		}
	};
	
	public SessionExtraInfoHolderImpl() {}

	@Override
	public SessionExtraInfo getSessionExtraInfo() {
		return sessionExtraInfo.get();
	}

}
