package org.hibernate.engine.internal;

import org.hibernate.engine.spi.EntityKey;

public class EntityKeyUtil {
	public static boolean entityInArray(EntityKey[] keys, EntityKey keyToLoad) {
		boolean found = false;
		if (keyToLoad != null) {
			for (EntityKey key: keys) {
				if (keyToLoad.equals(key)) {
					found = true;
					break;
				}
			}
		}
		return found;
	}
	
	public static boolean entityClassInArray(EntityKey[] keys, EntityKey keyToLoad) {
		boolean found = false;
		if (keyToLoad != null && keys != null) {
			for (EntityKey key: keys) {
				if (key == null) {
					break;
				}
				if (keyToLoad.getEntityName().equals(key.getEntityName())) {
					found = true;
					break;
				}
			}
		}
		return found;
	}
	
	public static boolean entityClassInArray(EntityKey[] keys, String entityName) {
		boolean found = false;
		if (keys != null) {
			for (EntityKey key: keys) {
				if (key == null) {
					break;
				}
				if (entityName.equals(key.getEntityName())) {
					found = true;
					break;
				}
			}
		}
		return found;
	}
}
