package org.hibernate.event.service.internal;

import java.util.Map;

import org.hibernate.service.spi.BasicServiceInitiator;
import org.hibernate.service.spi.ServiceRegistryImplementor;
import org.hibernate.service.spi.SessionFactoryServiceRegistryFactory;
import org.hibernate.service.spi.SessionFactoryServiceRegistryFactory2;

public class SessionFactoryServiceRegistryFactoryInitiator2 implements BasicServiceInitiator<SessionFactoryServiceRegistryFactory> {
	public static final SessionFactoryServiceRegistryFactoryInitiator2 INSTANCE = new SessionFactoryServiceRegistryFactoryInitiator2();

	@Override
	public Class<SessionFactoryServiceRegistryFactory> getServiceInitiated() {
		return SessionFactoryServiceRegistryFactory.class;
	}

	@Override
	public SessionFactoryServiceRegistryFactory initiateService(Map configurationValues, ServiceRegistryImplementor registry) {
		return new SessionFactoryServiceRegistryFactoryImpl2( registry );
	}

}
